summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-17 17:10:45 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-17 17:10:45 +0200
commita50baa7c309f7eb55fe87c71f4c688ace325b6ac (patch)
tree14ed08e3abad729bce718bfbd596eb62d1676675 /scripts
parent59784289d1d0296e470c46dc279aa3576c60801e (diff)
Add logsDir setting and more
- add logsDir setting in config.json - redirect Syncthing and Syncthing-inotify into log files - Use autogenerated Syncthing apikey if gui-apikey not set in config.json
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-syncthing.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/get-syncthing.sh b/scripts/get-syncthing.sh
index 8bc5346..6eb9c5b 100755
--- a/scripts/get-syncthing.sh
+++ b/scripts/get-syncthing.sh
@@ -31,7 +31,7 @@ tarball="syncthing-linux-amd64-v${SYNCTHING_VERSION}.tar.gz" \
&& grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
&& rm sha1sum.txt.asc \
&& tar -xvf "$tarball" --strip-components=1 "$(basename "$tarball" .tar.gz)"/syncthing \
- && mv syncthing ${DESTDIR}/syncthing
+ && mv syncthing ${DESTDIR}/syncthing || exit 1
echo "Get Syncthing-inotify..."